Bug 150333 - Stopping service running on another node reports success when service didn't stop
Stopping service running on another node reports success when service didn't ...
Status: CLOSED NEXTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-04 12:26 EST by Derek Anderson
Modified: 2009-04-16 16:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-07 15:54:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Anderson 2005-03-04 12:26:13 EST
Description of problem:

Service is running on node link-08.  I am typing on link-12,
'clusvcadm -s FOO'.  Command reports success.  The service was not
stopped.

This works properly if the command is issued from the node on which
the service is currently running.  So maybe the problem here is my
incorrect expectations.  If so, it should be clearly stated in the man
pages that you can't expect this to work from other nodes.  It should
also not report success when it failed.  It would be a confusing
expectation in that the user can enable and disable services from
anywhere in the cluster, but not stop them?

[root@link-12 cluster]# clusvcadm -s FOO
Member link-12 stopping FOO...success
[root@link-12 cluster]# clustat
Member Status: Quorate, Group Member

  Member Name                              State      ID
  ------ ----                              -----      --
  link-11                                  Online     0x000000000000000b
  link-10                                  Online     0x000000000000000a
  link-08                                  Online     0x0000000000000008
  link-12                                  Online     0x000000000000000c

  Resource Group       Owner (Last)                   State
  -------- -----       ----- ------                   -----
  FOO                  link-08                        started

Version-Release number of selected component (if applicable):
[root@link-12 cluster]# clusvcadm -v
1.9.20

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Lon Hohberger 2005-03-04 13:04:26 EST
Reproduced.  Easy fix.
Comment 2 Lon Hohberger 2005-03-07 12:23:38 EST
Fixes in CVS
Comment 3 Derek Anderson 2005-03-07 15:54:57 EST
Verified in 1.9.23.

[root@link-10 ~]# clustat
Member Status: Quorate, Group Member

  Member Name                              State      ID
  ------ ----                              -----      --
  link-12                                  Online     0x000000000000000c
  link-11                                  Online     0x000000000000000b
  link-08                                  Online     0x0000000000000008
  link-10                                  Online     0x000000000000000a

  Resource Group       Owner (Last)                   State
  -------- -----       ----- ------                   -----
  FOOGOOPOO            link-12                        started
[root@link-10 ~]# clusvcadm -s FOOGOOPOO
Member link-10 stopping FOOGOOPOO...success
[root@link-10 ~]# clustat
Member Status: Quorate, Group Member

  Member Name                              State      ID
  ------ ----                              -----      --
  link-12                                  Online     0x000000000000000c
  link-11                                  Online     0x000000000000000b
  link-08                                  Online     0x0000000000000008
  link-10                                  Online     0x000000000000000a

  Resource Group       Owner (Last)                   State
  -------- -----       ----- ------                   -----
  FOOGOOPOO            (link-12                     ) stopped

Note You need to log in before you can comment on or make changes to this bug.